<%@page import="model.Comments"%>
<%@page import="java.util.List"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
    <%
    	List<Comments> list = (List<Comments>) request.getAttribute("firstPage");
    %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link id="theme" rel="stylesheet" type="text/css" href="css/style.css" title="theme" />
<script type="text/javascript" language="javascript" src="js/jquery-1.4.3.min.js"></script>
<script>
	$(document).ready(function(){
		
		// Phan trang
		$(".pageElem").live("click", function(){
			
			var page = $(this).attr("page");
			$("#pageNow").attr("class", "pageElem");
			$("#pageNow").attr("id", "pageElem");
			$(this).attr("id", "pageNow");
			$(this).attr("class", "pre");
			
			$.ajax({
				type: "POST",
				url: "GetComment",
				data: "page=" + page,
				beforeSend: function() {
					$("#content").html("").hide();
					$("#comment-loading").html("<img src='images/loading.gif'/>").show();
				},
				success: function(response){
					$("#comment-loading").html("").hide();
					$("#content").html(response).fadeIn(300);
				}
			});
		});
		
		// Post comment
		$("#comment-content").keypress(function(e){
			if (((e.which == 13) || (e.keyCode == 13)) && e.shiftKey){
				// Khong lam gi het
			} else if ((e.which == 13) || (e.keyCode == 13)){
				var content = $("#comment-content").val();
				if ($.trim(content) != ""){
					content = content.replace(/\n\r?/g, '<br>');
					$("#comment-content").val("");
					var myDate = new Date().toTimeString().replace(/.*(\d{2}:\d{2}:\d{2}).*/, "$1");
					$("#comment:first-child").remove();
					$("#content").append("<div id='comment'><b>Guest</b> " + content + "<br><span class='comment-time'>Lúc " + myDate + "</span></div>");
					$("#comment:last-child").hide().fadeIn(300);
				
					$.ajax({
						type: "POST",
						url: "Comment",
						data: "content=" + content,
						beforeSend: function(){},
						success: function(response){
							$("#pagination").hide().load("pagination.jsp").fadeIn(300);
						}	
					});
							
					return false;
				} else {
					return false;
				}
			}
		});
		
		// Tu dong cap nhat trang 1 sau 2 giay
		
		setInterval(function(){
			if ($("#pageNow").attr("page") == "1"){
				$.ajax({
					type: "POST",
					url: "GetComment",
					data: "page=1",
					beforeSend: function() {},
					success: function(response){
						$("#content").html("");
						$("#content").html(response);
					}
				});
			}
		}, 2000);
	});
</script>
<title>:: AJAX Pagination</title>
</head>
<body>

<div id="container">

<div id="comment-loading"></div>

<div id="content">
	<%
		if (list != null){
			for (Comments comment : list) {
	%>
		<div id="comment"><b><%= comment.getOwner() %></b> <%= comment.getContent() %><br><span class='comment-time'><%= comment.getDate() %></span></div>
	<% }} else { %>
		<div align="center" id="comment"><b>Chưa có nội dung nào</b></div>
	<% } %>
</div>
<div id="comment">
<form id="comment-form">
<textarea spellcheck="false" id="comment-content" placeholder="Viết một bình luận..." rows="1" cols="62"></textarea>
</form>
</div>
<div id="pagination"><jsp:include page="pagination.jsp"></jsp:include></div>

</div>

</body>
</html>